Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 454178 - pilot-link fails to talk to Sony Clie SJ-22 using libusb
Summary: pilot-link fails to talk to Sony Clie SJ-22 using libusb
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: pilot-link
Version: 9
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Ivana Varekova
QA Contact: Fedora Extras Quality Assurance
URL: http://lists.pilot-link.org/pipermail...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-06 01:02 UTC by Michael Ekstrand
Modified: 2009-04-20 09:12 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-04-20 09:12:41 UTC


Attachments (Terms of Use)
Patch to make pilot-link use USB_INIT_SONY_CLIE for SJ-series handhelds (deleted)
2008-07-06 01:02 UTC, Michael Ekstrand
no flags Details | Diff

Description Michael Ekstrand 2008-07-06 01:02:14 UTC
Description of problem:
pilot-link cannot talk to my Sony Clie SJ-22 using libusb

Version-Release number of selected component (if applicable):
pilot-link-0.12.3-13.fc9

How reproducible:


Steps to Reproduce:
1. Connect Clie
2. Press HotSync
3. Run pilot-xfer -p usb: -l
  
Actual results:
Waits indefinitely for connection.  Log output indicates a problem recognizing
the device.

Expected results:
Print list of Palm databases to the terminal.

Additional info:
Works with visor.

A patch is attached which seems to fix the problem (it enables pilot-link to
talk to my Clie, anyway).  Applies cleanly against pilot-link-0.12.3-13.1.fc9
sources from SRPM.  With an RPM with this patch applied, I can successfully use
pilot-xfer and synchronize with PilotManager.

Comment 1 Michael Ekstrand 2008-07-06 01:02:14 UTC
Created attachment 311086 [details]
Patch to make pilot-link use USB_INIT_SONY_CLIE for SJ-series handhelds

Comment 2 Kevin R. Page 2008-07-08 11:58:26 UTC
A thought: apply this patch to the F9/devel branch, where the reporter and
others can test, and if it works out ok apply it to F8 (F9 only has doc fixes
queued, whereas F8 already has functional changes perhaps best separated?).

I guess the only worry is that it might stop other Clie with the same VID/PID
from working - though I think this unlikely.

Comment 3 Kevin R. Page 2008-09-14 23:55:53 UTC
I note from pilot-link CVS and mailing list that Michael's patch hasn't been applied upstream (though I can't see any reason why!).

I've put Michael's patch, and the USB ID for the TJ-37, into a patch attached to bug #436063 comment #12 (see that comment for more details).

Michael, could you test the RPM I built, please? (Or the package patch directly if you wish)
http://www.krp.myzen.co.uk/pilot-link-0.12.3-15.fc9.i386.rpm

If it works ok for you and Joe I propose we apply it the the Fedora package; if this also doesn't throw up any issues I'll go upstream and try again.

Comment 4 Ivana Varekova 2008-09-19 10:20:58 UTC
Hello, thanks to both of you - for now the patch is applied in fc9 cvs and devel cvs - I will put it to fc9 test branch soon (pilot-link-0.12.3-15.fc9, pilot-link-0.12.3-16.fc10).

Comment 5 Fedora Update System 2008-09-19 10:25:31 UTC
pilot-link-0.12.3-15.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/pilot-link-0.12.3-15.fc9

Comment 6 Fedora Update System 2008-09-25 00:19:15 UTC
pilot-link-0.12.3-15.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update pilot-link'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-8303

Comment 7 Kevin R. Page 2008-10-11 18:31:49 UTC
pilot-link-0.12.3-16.fc9 has superseded this in updates-testing, but obviously includes the same patch. To help its progress to stable, you might like to try installing this update and providing feedback at:
https://admin.fedoraproject.org/updates/F9/FEDORA-2008-8406


Note You need to log in before you can comment on or make changes to this bug.